%undefine __cmake_in_source_build

Summary:  KDE Frameworks 5 Tier 2 library to load and install packages as plugins
Name:     kf5-kpackage
Version:  5.110.0
%global   majmin %majmin_ver_kf5
%global   stable %stable_kf5
Release:  1%{?dist}
License:  LGPLv2+
URL:      https://invent.kde.org/frameworks/kpackage
Source0:  http://download.kde.org/%{stable}/frameworks/%{majmin}/kpackage-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros, kf5-karchive-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-ki18n-devel >= %{majmin}, kf5-kdoctools-devel >= %{majmin}
BuildRequires:  qt5-qtbase-devel
BuildRequires:  make

%description
KDE Frameworks 5 Tier 2 library to load and install non-binary packages as
if they were plugins.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       extra-cmake-modules >= %{majmin}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n kpackage-%{version} -p1


%build
%{cmake_kf5} \
  -DBUILD_TESTING:BOOL=OFF
%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-man

mkdir -p %{buildroot}%{_kf5_qtplugindir}/kpackage/packagestructure/
mkdir -p %{buildroot}%{_kf5_datadir}/kpackage/


%check

%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_bindir}/kpackagetool5
%{_kf5_libdir}/libKF5Package.so.*
%{_kf5_qtplugindir}/kpackage/
%{_kf5_datadir}/kpackage/
%{_kf5_datadir}/qlogging-categories5/kpackage.*
%{_kf5_datadir}/kservicetypes5/kpackage-*.desktop
%{_mandir}/man1/kpackagetool5.1*

%files devel
%{_kf5_includedir}/KPackage/
%{_kf5_libdir}/libKF5Package.so
%{_kf5_libdir}/cmake/KF5Package/


%changelog
* Sat Nov 18 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
